javax.transaction.xa

## Interface XAResource

    public interface XAResource

Version:
  $Rev: 467742 $ $Date: 2006-10-25 21:30:38 +0200 (Mi, 25. Okt 2006) $

### Field Summary

Fields
`static int` `TMENDRSCAN`
`static int` `TMFAIL`
`static int` `TMJOIN`
`static int` `TMNOFLAGS`
`static int` `TMONEPHASE`
`static int` `TMRESUME`
`static int` `TMSTARTRSCAN`
`static int` `TMSUCCESS`
`static int` `TMSUSPEND`
`static int` `XA_OK`
`static int` `XA_RDONLY`

### Method Summary

Methods
`void` `commit(Xid xid, boolean onePhase)`
`void` `end(Xid xid, int flags)`
`void` `forget(Xid xid)`
`int` `getTransactionTimeout()`
`boolean` `isSameRM(XAResource xaResource)`
`int` `prepare(Xid xid)`
`Xid[]` `recover(int flag)`
`void` `rollback(Xid xid)`
`boolean` `setTransactionTimeout(int seconds)`
`void` `start(Xid xid, int flags)`

### Field Detail

#### TMENDRSCAN

    static final int TMENDRSCAN

See Also:
  Constant Field Values

#### TMFAIL

    static final int TMFAIL

See Also:
  Constant Field Values

#### TMJOIN

    static final int TMJOIN

See Also:
  Constant Field Values

#### TMNOFLAGS

    static final int TMNOFLAGS

See Also:
  Constant Field Values

#### TMONEPHASE

    static final int TMONEPHASE

See Also:
  Constant Field Values

#### TMRESUME

    static final int TMRESUME

See Also:
  Constant Field Values

#### TMSTARTRSCAN

    static final int TMSTARTRSCAN

See Also:
  Constant Field Values

#### TMSUCCESS

    static final int TMSUCCESS

See Also:
  Constant Field Values

#### TMSUSPEND

    static final int TMSUSPEND

See Also:
  Constant Field Values

#### XA_RDONLY

    static final int XA_RDONLY

See Also:
  Constant Field Values

#### XA_OK

    static final int XA_OK

See Also:
  Constant Field Values

### Method Detail

#### commit

    void commit(Xid xid,
              boolean onePhase)
                throws XAException

Throws:
  `XAException`

#### end

    void end(Xid xid,
           int flags)
             throws XAException

Throws:
  `XAException`

#### forget

    void forget(Xid xid)
                throws XAException

Throws:
  `XAException`

#### getTransactionTimeout

    int getTransactionTimeout()
                              throws XAException

Throws:
  `XAException`

#### isSameRM

    boolean isSameRM(XAResource xaResource)
                     throws XAException

Throws:
  `XAException`

#### prepare

    int prepare(Xid xid)
                throws XAException

Throws:
  `XAException`

#### recover

    Xid[] recover(int flag)
                  throws XAException

Throws:
  `XAException`

#### rollback

    void rollback(Xid xid)
                  throws XAException

Throws:
  `XAException`

#### setTransactionTimeout

    boolean setTransactionTimeout(int seconds)
                                  throws XAException

Throws:
  `XAException`

#### start

    void start(Xid xid,
             int flags)
               throws XAException

Throws:
  `XAException`